package xyz.wbsite.dbtool.javafx.ctrl;

import javafx.fxml.FXML;
import javafx.scene.control.CheckBox;
import javafx.scene.control.TextField;
import javafx.scene.control.ToggleGroup;

public class DetailProjectController {

    @FXML
    private TextField projectName;
    @FXML
    private TextField projectBasePackage;
    @FXML
    private TextField projectAuthor;
    @FXML
    private CheckBox multiDB;
    @FXML
    private CheckBox sysMD;
    @FXML
    private ToggleGroup database;
    @FXML
    private CheckBox cloud;
    @FXML
    private CheckBox async;

    public CheckBox getSysMD() {
        return sysMD;
    }

    public void setSysMD(CheckBox sysMD) {
        this.sysMD = sysMD;
    }

    public CheckBox getMultiDB() {
        return multiDB;
    }

    public void setMultiDB(CheckBox multiDB) {
        this.multiDB = multiDB;
    }

    public TextField getProjectName() {
        return projectName;
    }

    public void setProjectName(TextField projectName) {
        this.projectName = projectName;
    }

    public TextField getProjectBasePackage() {
        return projectBasePackage;
    }

    public void setProjectBasePackage(TextField projectBasePackage) {
        this.projectBasePackage = projectBasePackage;
    }

    public TextField getProjectAuthor() {
        return projectAuthor;
    }

    public void setProjectAuthor(TextField projectAuthor) {
        this.projectAuthor = projectAuthor;
    }

    public ToggleGroup getDatabase() {
        return database;
    }

    public void setDatabase(ToggleGroup database) {
        this.database = database;
    }

    public CheckBox getCloud() {
        return cloud;
    }

    public void setCloud(CheckBox cloud) {
        this.cloud = cloud;
    }

    public CheckBox getAsync() {
        return async;
    }

    public void setAsync(CheckBox async) {
        this.async = async;
    }
}
